Open CASCADE Technology: IFSelect_SelectInList Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IFSelect_SelectInList Class Referenceabstract

A SelectInList kind Selection selects a List of an Entity, which is composed of single Entities To know the list on which to work, SelectInList has two deferred methods : NbItems (inherited from SelectAnyList) and ListedEntity (which gives an item as an Entity) which must be defined to get a List in an Entity of the required Type (and consider that list is empty if Entity has not required Type) More...

`#include <IFSelect_SelectInList.hxx>`

Inheritance diagram for IFSelect_SelectInList:
[legend]

## Public Member Functions
virtual Handle< Standard_Transient > | ListedEntity (const Standard_Integer num, const Handle< Standard_Transient > &ent) const =0
| Returns an Entity, given its rank in the list. More...
void | FillResult (const Standard_Integer n1, const Standard_Integer n2, const Handle< Standard_Transient > &ent, Interface_EntityIterator &result) const
| Puts into the result, the sub-entities of the list, from n1 to n2 included. Remark that adequation with Entity's type and length of list has already been made at this stage Called by RootResult; calls ListedEntity (see below) More...
Public Member Functions inherited from IFSelect_SelectAnyList
virtual void | KeepInputEntity (Interface_EntityIterator &iter) const =0
| Keeps Input Entity, as having required type. It works by keeping in <iter>, only suitable Entities (SelectType can be used). Called by RootResult (which waits for ONE ENTITY MAX) More...
virtual Standard_Integer | NbItems (const Handle< Standard_Transient > &ent) const =0
| Returns count of Items in the list in the Entity <ent> If <ent> has not required type, returned value must be Zero. More...
void | SetRange (const Handle< IFSelect_IntParam > &rankfrom, const Handle< IFSelect_IntParam > &rankto)
| Sets a Range for numbers, with a lower and a upper limits. More...
void | SetOne (const Handle< IFSelect_IntParam > &rank)
| Sets a unique number (only one Entity will be sorted as True) More...
void | SetFrom (const Handle< IFSelect_IntParam > &rankfrom)
| Sets a Lower limit but no upper limit. More...
void | SetUntil (const Handle< IFSelect_IntParam > &rankto)
| Sets an Upper limit but no lower limit (equivalent to lower 1) More...
Standard_Boolean | HasLower () const
| Returns True if a Lower limit is defined. More...
Handle< IFSelect_IntParam > | Lower () const
| Returns Lower limit (if there is; else, value is senseless) More...
Standard_Integer | LowerValue () const
| Returns Integer Value of Lower Limit (0 if none) More...
Standard_Boolean | HasUpper () const
| Returns True if a Lower limit is defined. More...
Handle< IFSelect_IntParam > | Upper () const
| Returns Upper limit (if there is; else, value is senseless) More...
Standard_Integer | UpperValue () const
| Returns Integer Value of Upper Limit (0 if none) More...
Interface_EntityIterator | RootResult (const Interface_Graph &G) const
| Returns the list of selected entities (list of entities complying with rank criterium) Error if the input list has more than one Item. More...
TCollection_AsciiString | Label () const
| Returns a text defining the criterium : "Componants of List " then Specific List Label, then, following cases : " From .. Until .." or "From .." or "Until .." or "Rank no .." Specific type is given by deferred method ListLabel. More...
virtual TCollection_AsciiString | ListLabel () const =0
| Returns the specific label for the list, which is included as a part of Label. More...
Public Member Functions inherited from IFSelect_SelectDeduct
void | SetInput (const Handle< IFSelect_Selection > &sel)
| Defines or Changes the Input Selection. More...
Handle< IFSelect_Selection > | Input () const
| Returns the Input Selection. More...
Standard_Boolean | HasInput () const
| Returns True if the Input Selection is defined, False else. More...
Standard_Boolean | HasAlternate () const
| Tells if an Alternate List has been set, i.e. : the Alternate Definition is present and set. More...
Handle< IFSelect_SelectPointed > & | Alternate ()
| Returns the Alternate Definition It is returned modifiable, hence an already defined SelectPointed can be used But if it was not yet defined, it is created the first time. More...
Interface_EntityIterator | InputResult (const Interface_Graph &G) const
| Returns the Result determined by Input Selection, as Unique if Input Selection is not defined, returns an empty list. More...
void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends This list contains one Selection : the InputSelection. More...
Public Member Functions inherited from IFSelect_Selection
Interface_EntityIterator | UniqueResult (const Interface_Graph &G) const
| Returns the list of selected entities, each of them beeing unique. Default definition works from RootResult. According HasUniqueResult, UniqueResult returns directly RootResult, or build a Unique Result from it with a Graph. More...
virtual Interface_EntityIterator | CompleteResult (const Interface_Graph &G) const
| Returns the list of entities involved by a Selection, i.e. UniqueResult plus the shared entities (directly or not) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from IFSelect_Selection
virtual Standard_Boolean | HasUniqueResult () const
| Returns True if RootResult guarantees uniqueness for each Entity. Called by UniqueResult. Default answer is False. Can be redefined. More...

## Detailed Description

A SelectInList kind Selection selects a List of an Entity, which is composed of single Entities To know the list on which to work, SelectInList has two deferred methods : NbItems (inherited from SelectAnyList) and ListedEntity (which gives an item as an Entity) which must be defined to get a List in an Entity of the required Type (and consider that list is empty if Entity has not required Type)

As for SelectAnyList, if a type of Entity defines several lists, a given sub-class of SelectInList is attached on one

## Member Function Documentation

void IFSelect_SelectInList::FillResult | ( | const Standard_Integer | n1,
|  | const Standard_Integer | n2,
|  | const Handle< Standard_Transient > & | ent,
|  | Interface_EntityIterator & | result
| ) |  | const
| virtual

Puts into the result, the sub-entities of the list, from n1 to n2 included. Remark that adequation with Entity's type and length of list has already been made at this stage Called by RootResult; calls ListedEntity (see below)

Implements IFSelect_SelectAnyList.

virtual Handle< Standard_Transient > IFSelect_SelectInList::ListedEntity | ( | const Standard_Integer | num,
|  | const Handle< Standard_Transient > & | ent
| ) |  | const
| pure virtual

Returns an Entity, given its rank in the list.

The documentation for this class was generated from the following file:

- IFSelect_SelectInList.hxx